#
# spec file for package sced (Version 1.02)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  povray xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl povray ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         sced
Copyright:    GPL
Group:        X11/Applications/Graphics
Provides:     sced sceda 
Autoreqprov:  on
Version:      1.02
Release:      246
Summary:      Scene editor and animator for ray tracers
URL:          http://http.cs.berkeley.edu/~schenney/sced/sced.html
Source:       http://www.cs.berkeley.edu/~schenney/sced/src/sced-%{version}.tar.bz2
Patch:        sced-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Sced is a tool for three dimensional modeling. These scenes might as well
be animated. Moreover it is able to export animated sequences to
a renderer (e.g. PovRay, Rayshade, RenderMan, Radiance, Genray and Genscan).
Support for PovRay is set by default.
Documentation can be found under: /usr/share/doc/packages/sced.

Authors:
--------
    Steve Chenney <schenney@cs.berkeley.edu>

SuSE series: gra

%prep
%setup -n sced-%{version}
%patch
. RunConfig

%build
make depend
make

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir "$RPM_BUILD_ROOT" 
make prefix="$RPM_BUILD_ROOT"/usr/X11R6 install

%files
/usr/X11R6/bin/sced
%doc README README.elk
%doc docs/guide.dvi docs/guide.tex
%doc /usr/X11R6/man/man1/sced.1.gz

%clean
rm -rf "$RPM_BUILD_ROOT"

%changelog -n sced
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Thu May 18 2000 - nadvornik@suse.cz
- changed Group tag
* Fri Mar 10 2000 - nadvornik@suse.cz
- upgrade to version 1.02
- added URL
- added BuildRoot
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 18 1998 - ro@suse.de
- dont redefine sys_errlist for glibc
* Mon Feb 23 1998 - ro@suse.de
- fixed path for povray for previewing
* Thu Nov 06 1997 - ro@suse.de
- ready for automatic build using
  wrapper script for configure
* Thu Feb 06 1997 - rj@suse.de
- version 0.94
- replaces sceda 0.81
- now working with povray 3.0
